package org.wso2.carbon.device.mgt.ios.payload.beans;

public class IKEv2 {

    private String remoteAddress;
    private IdentifierFormats localIdentifier;
    private IdentifierFormats remoteIdentifier;
    private AuthenticationMethod authenticationMethod;
    private String payloadCertificateUUID;
    private CertificateType certificateType;
    private String sharedSecret;
    private Integer extendedAuthEnabled;
    private String authName;
    private String authPassword;
    private DeadPeerDetectionInterval deadPeerDetectionInterval;
    private String serverCertificateIssuerCommonName;
    private String serverCertificateCommonName;
    private String  TLSMinimumVersion;
    private String  TLSMaximumVersion;
    private Integer NATKeepAliveOffloadEnable;
    private Integer NATKeepAliveInterval;
    private Integer enablePFS;
    private Integer enableCertificateRevocationCheck;
    private SecurityAssociationParameters IKESecurityAssociationParameters;
    private SecurityAssociationParameters childSecurityAssociationParameters;

    public String getRemoteAddress() {
        return remoteAddress;
    }

    public void setRemoteAddress(String remoteAddress) {
        this.remoteAddress = remoteAddress;
    }

    public IdentifierFormats getLocalIdentifier() {
        return localIdentifier;
    }

    public void setLocalIdentifier(IdentifierFormats localIdentifier) {
        this.localIdentifier = localIdentifier;
    }

    public IdentifierFormats getRemoteIdentifier() {
        return remoteIdentifier;
    }

    public void setRemoteIdentifier(IdentifierFormats remoteIdentifier) {
        this.remoteIdentifier = remoteIdentifier;
    }

    public AuthenticationMethod getAuthenticationMethod() {
        return authenticationMethod;
    }

    public void setAuthenticationMethod(AuthenticationMethod authenticationMethod) {
        this.authenticationMethod = authenticationMethod;
    }

    public String getPayloadCertificateUUID() {
        return payloadCertificateUUID;
    }

    public void setPayloadCertificateUUID(String payloadCertificateUUID) {
        this.payloadCertificateUUID = payloadCertificateUUID;
    }

    public String getSharedSecret() {
        return sharedSecret;
    }

    public void setSharedSecret(String sharedSecret) {
        this.sharedSecret = sharedSecret;
    }

    public Integer getExtendedAuthEnabled() {
        return extendedAuthEnabled;
    }

    public void setExtendedAuthEnabled(Integer extendedAuthEnabled) {
        this.extendedAuthEnabled = extendedAuthEnabled;
    }

    public String getAuthName() {
        return authName;
    }

    public void setAuthName(String authName) {
        this.authName = authName;
    }

    public String getAuthPassword() {
        return authPassword;
    }

    public void setAuthPassword(String authPassword) {
        this.authPassword = authPassword;
    }

    public DeadPeerDetectionInterval getDeadPeerDetectionInterval() {
        return deadPeerDetectionInterval;
    }

    public void setDeadPeerDetectionInterval(DeadPeerDetectionInterval deadPeerDetectionInterval) {
        this.deadPeerDetectionInterval = deadPeerDetectionInterval;
    }

    public String getServerCertificateIssuerCommonName() {
        return serverCertificateIssuerCommonName;
    }

    public void setServerCertificateIssuerCommonName(String serverCertificateIssuerCommonName) {
        this.serverCertificateIssuerCommonName = serverCertificateIssuerCommonName;
    }

    public String getServerCertificateCommonName() {
        return serverCertificateCommonName;
    }

    public void setServerCertificateCommonName(String serverCertificateCommonName) {
        this.serverCertificateCommonName = serverCertificateCommonName;
    }

    public SecurityAssociationParameters getIKESecurityAssociationParameters() {
        return IKESecurityAssociationParameters;
    }

    public void setIKESecurityAssociationParameters(SecurityAssociationParameters IKESecurityAssociationParameters) {
        this.IKESecurityAssociationParameters = IKESecurityAssociationParameters;
    }

    public SecurityAssociationParameters getChildSecurityAssociationParameters() {
        return childSecurityAssociationParameters;
    }

    public void setChildSecurityAssociationParameters(SecurityAssociationParameters childSecurityAssociationParameters) {
        this.childSecurityAssociationParameters = childSecurityAssociationParameters;
    }

    public CertificateType getCertificateType() {
        return certificateType;
    }

    public void setCertificateType(CertificateType certificateType) {
        this.certificateType = certificateType;
    }

    public String getTLSMinimumVersion() {
        return TLSMinimumVersion;
    }

    public void setTLSMinimumVersion(String TLSMinimumVersion) {
        this.TLSMinimumVersion = TLSMinimumVersion;
    }

    public String getTLSMaximumVersion() {
        return TLSMaximumVersion;
    }

    public void setTLSMaximumVersion(String TLSMaximumVersion) {
        this.TLSMaximumVersion = TLSMaximumVersion;
    }

    public Integer getNATKeepAliveOffloadEnable() {
        return NATKeepAliveOffloadEnable;
    }

    public void setNATKeepAliveOffloadEnable(Integer NATKeepAliveOffloadEnable) {
        this.NATKeepAliveOffloadEnable = NATKeepAliveOffloadEnable;
    }

    public Integer getNATKeepAliveInterval() {
        return NATKeepAliveInterval;
    }

    public void setNATKeepAliveInterval(Integer NATKeepAliveInterval) {
        this.NATKeepAliveInterval = NATKeepAliveInterval;
    }

    public Integer getEnablePFS() {
        return enablePFS;
    }

    public void setEnablePFS(Integer enablePFS) {
        this.enablePFS = enablePFS;
    }

    public Integer getEnableCertificateRevocationCheck() {
        return enableCertificateRevocationCheck;
    }

    public void setEnableCertificateRevocationCheck(Integer enableCertificateRevocationCheck) {
        this.enableCertificateRevocationCheck = enableCertificateRevocationCheck;
    }
}
